/*
 * @Descripttion:
 * @version:
 * @Author: Eugene
 * @Date: 2023-10-12 09:55:52
 * @LastEditors: Andy
 * @LastEditTime: 2024-03-11 11:03:24
 */
var MQTT_MODE = 1;

function pageName() {
    var a = location.href;
    var b = a.split("/");
    var c = b.slice(b.length - 1, b.length).toString(String).split(".");
    return c[0];
}

var json_id = 0;

//在发送数据后调用这个函数
function MQTT_send(string) {
    json_id = localStorage.getItem("json_id");
    json_id++;
    if(json_id>255)
    {
        json_id = 0;
    }
    localStorage.setItem("json_id", json_id);
    let send_string = "{\"JSON_id\":" + json_id + ",\"led_protocol\":" + string + "}"
    console.log("MQTT 发送:" + send_string);
    if (/xazn/.test(navigator.userAgent)||/uni-app/.test(navigator.userAgent)) {
        uni.postMessage({
            data: {
                str: send_string
            }
        });
    } else {
        //这里需要将string发送出去
        window.parent.postMessage({
            str: send_string
        }, "*"); // 替换为Vue应用的URL
    }
}

//在发送数据后调用这个函数(带协议发送)
function MQTT_json_send(string,protocol) {
    json_id = localStorage.getItem("json_id");
    json_id++;
    if(json_id>255)
    {
        json_id = 0;
    }
    localStorage.setItem("json_id", json_id);
    let send_string = "{\"JSON_id\":" + json_id + ",\"" + protocol + "\":" + string + "}";
    console.log("MQTT 发送:" + send_string);
    if (/xazn/.test(navigator.userAgent)||/uni-app/.test(navigator.userAgent)) {
        uni.postMessage({
            data: {
                str: send_string
            }
        });
    } else {
        //这里需要将string发送出去
        window.parent.postMessage({
            str: send_string
        }, "*"); // 替换为Vue应用的URL
    }
}

//在收到数据后需要调用这个函数
function MQTT_recv(string) {
    console.log("MQTT 接收:" + string);
    let json = jQuery.parseJSON(string);
    let href = pageName();
    if ("error_code" in json) {
        console.log("MQTT接收到回复码" + json.error_code);
    }
    if(json.led_protocol)
    {
        var str = JSON.stringify(json.led_protocol);
        string = str;
    }
    console.log("MQTT 处理后:" + string);
    if (href == "screen_main") {
        console.log("now -> screen_main");
        cmd_reply_parse_fun(string);
    }
    else if (href == "screen_par") {
        console.log("now -> screen_par");
        screen_par_reply_parse_fun(string);
    }
    else if (href == "screen_program") {
        console.log("now -> screen_program");
        program_list_reply_parse_fun(string);
    }
    else if (href == "screen_virtual") {
        console.log("now -> screen_virtual");
        screen_virtual_reply_parse_fun(string);
    }
    else if (href == "content_pattern1") {
        console.log("now -> content_pattern1");
        content_pattern_reply_parse_fun(string);
    }
    else if (href == "voice_set") {
        console.log("now -> voice_set");
        device_list_update(string);
    }
    else if (href == "voice") {
        console.log("now -> voice");
        voice_reply_parse_fun(string);
    }
}
